#include <kos.h>
#include <png/png.h>
#include "smashdc.h"
#include "vars.h"

void LoadTextures()
{
	uint32 w,h;

	png_load_texture("/cd/data/effects/exit/up/0.png", &ExitUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/up/1.png", &ExitUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/up/2.png", &ExitUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/up/3.png", &ExitUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/up/4.png", &ExitUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/up/5.png", &ExitUp.Frames[5], PNG_MASK_ALPHA, &w, &h);
	ExitUp.Speed=5;
	ExitUp.LoopFrame=0;
	ExitUp.NumOfFrames=5;

	png_load_texture("/cd/data/effects/exit/down/0.png", &ExitDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/down/1.png", &ExitDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/down/2.png", &ExitDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/down/3.png", &ExitDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/down/4.png", &ExitDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/down/5.png", &ExitDown.Frames[5], PNG_MASK_ALPHA, &w, &h);
	ExitDown.Speed=5;
	ExitDown.LoopFrame=0;
	ExitDown.NumOfFrames=5;

	png_load_texture("/cd/data/effects/exit/left/0.png", &ExitLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/left/1.png", &ExitLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/left/2.png", &ExitLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/left/3.png", &ExitLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/left/4.png", &ExitLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/left/5.png", &ExitLeft.Frames[5], PNG_MASK_ALPHA, &w, &h);
	ExitLeft.Speed=5;
	ExitLeft.LoopFrame=0;
	ExitLeft.NumOfFrames=5;

	png_load_texture("/cd/data/effects/exit/right/0.png", &ExitRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/right/1.png", &ExitRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/right/2.png", &ExitRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/right/3.png", &ExitRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/right/4.png", &ExitRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/exit/right/5.png", &ExitRight.Frames[5], PNG_MASK_ALPHA, &w, &h);
	ExitRight.Speed=5;
	ExitRight.LoopFrame=0;
	ExitRight.NumOfFrames=5;

	png_load_texture("/cd/data/items/1up.png", &Item1Up, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/items/rocket.png", &ItemRocket, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/items/mine.png", &ItemMine, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/items/gold.png", &ItemGold, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/items/silver.png", &ItemSilver, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/items/money.png", &ItemMoney, PNG_MASK_ALPHA, &w, &h);

	png_load_texture("/cd/data/pause/inroom.png", &InRoom, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/pause/map.png", &Map, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/pause/p1.png", &Player1, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/pause/p2.png", &Player2, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/pause/p3.png", &Player3, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/pause/p4.png", &Player4, PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/pause/logo.png", &PauseLogo, PNG_MASK_ALPHA, &w, &h);

	png_load_texture("/cd/data/levels/floors/0.png", &Floors[0], PNG_NO_ALPHA, &w, &h);
	png_load_texture("/cd/data/levels/floors/1.png", &Floors[1], PNG_NO_ALPHA, &w, &h);
	png_load_texture("/cd/data/levels/overlays/0.png", &Overlays[0], PNG_MASK_ALPHA, &w, &h);

	png_load_texture("/cd/data/levels/livesleft.png", &LifePanels[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/levels/livesright.png", &LifePanels[1], PNG_MASK_ALPHA, &w, &h);

	png_load_texture("/cd/data/players/misc/death/0.png", &PlayerDead, PNG_MASK_ALPHA, &w, &h);

	png_load_texture("/cd/data/effects/completeall/0.png", &CompleteAll, PNG_MASK_ALPHA, &w, &h);

	png_load_texture("/cd/data/players/legs/down/0.png", &PlayerLegsDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/down/1.png", &PlayerLegsDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/down/2.png", &PlayerLegsDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/down/3.png", &PlayerLegsDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/down/4.png", &PlayerLegsDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/down/5.png", &PlayerLegsDown.Frames[5], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/down/6.png", &PlayerLegsDown.Frames[6], PNG_MASK_ALPHA, &w, &h);
	PlayerLegsDown.Speed=5;
	PlayerLegsDown.LoopFrame=1;
	PlayerLegsDown.NumOfFrames=6;

	png_load_texture("/cd/data/players/legs/up/0.png", &PlayerLegsUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/up/1.png", &PlayerLegsUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/up/2.png", &PlayerLegsUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/up/3.png", &PlayerLegsUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/up/4.png", &PlayerLegsUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/up/5.png", &PlayerLegsUp.Frames[5], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/up/6.png", &PlayerLegsUp.Frames[6], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/up/7.png", &PlayerLegsUp.Frames[7], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/up/8.png", &PlayerLegsUp.Frames[8], PNG_MASK_ALPHA, &w, &h);
	PlayerLegsUp.Speed=5;
	PlayerLegsUp.LoopFrame=1;
	PlayerLegsUp.NumOfFrames=8;

	png_load_texture("/cd/data/players/legs/left/0.png", &PlayerLegsLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/left/1.png", &PlayerLegsLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/left/2.png", &PlayerLegsLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/left/3.png", &PlayerLegsLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/left/4.png", &PlayerLegsLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/left/5.png", &PlayerLegsLeft.Frames[5], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/left/6.png", &PlayerLegsLeft.Frames[6], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/left/7.png", &PlayerLegsLeft.Frames[7], PNG_MASK_ALPHA, &w, &h);
	PlayerLegsLeft.Speed=5;
	PlayerLegsLeft.LoopFrame=1;
	PlayerLegsLeft.NumOfFrames=7;

	png_load_texture("/cd/data/players/legs/right/0.png", &PlayerLegsRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/right/1.png", &PlayerLegsRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/right/2.png", &PlayerLegsRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/right/3.png", &PlayerLegsRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/right/4.png", &PlayerLegsRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/right/5.png", &PlayerLegsRight.Frames[5], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/right/6.png", &PlayerLegsRight.Frames[6], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/right/7.png", &PlayerLegsRight.Frames[7], PNG_MASK_ALPHA, &w, &h);
	PlayerLegsRight.Speed=5;
	PlayerLegsRight.LoopFrame=1;
	PlayerLegsRight.NumOfFrames=7;

	png_load_texture("/cd/data/players/legs/upleft/0.png", &PlayerLegsUpLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upleft/1.png", &PlayerLegsUpLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upleft/2.png", &PlayerLegsUpLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upleft/3.png", &PlayerLegsUpLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upleft/4.png", &PlayerLegsUpLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upleft/5.png", &PlayerLegsUpLeft.Frames[5], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upleft/6.png", &PlayerLegsUpLeft.Frames[6], PNG_MASK_ALPHA, &w, &h);
	PlayerLegsUpLeft.Speed=5;
	PlayerLegsUpLeft.LoopFrame=1;
	PlayerLegsUpLeft.NumOfFrames=6;

	png_load_texture("/cd/data/players/legs/upright/0.png", &PlayerLegsUpRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upright/1.png", &PlayerLegsUpRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upright/2.png", &PlayerLegsUpRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upright/3.png", &PlayerLegsUpRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upright/4.png", &PlayerLegsUpRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upright/5.png", &PlayerLegsUpRight.Frames[5], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/upright/6.png", &PlayerLegsUpRight.Frames[6], PNG_MASK_ALPHA, &w, &h);
	PlayerLegsUpRight.Speed=5;
	PlayerLegsUpRight.LoopFrame=1;
	PlayerLegsUpRight.NumOfFrames=6;

	png_load_texture("/cd/data/players/legs/downleft/0.png", &PlayerLegsDownLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downleft/1.png", &PlayerLegsDownLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downleft/2.png", &PlayerLegsDownLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downleft/3.png", &PlayerLegsDownLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downleft/4.png", &PlayerLegsDownLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downleft/5.png", &PlayerLegsDownLeft.Frames[5], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downleft/6.png", &PlayerLegsDownLeft.Frames[6], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downleft/7.png", &PlayerLegsDownLeft.Frames[7], PNG_MASK_ALPHA, &w, &h);
	PlayerLegsDownLeft.Speed=5;
	PlayerLegsDownLeft.LoopFrame=1;
	PlayerLegsDownLeft.NumOfFrames=7;

	png_load_texture("/cd/data/players/legs/downright/0.png", &PlayerLegsDownRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downright/1.png", &PlayerLegsDownRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downright/2.png", &PlayerLegsDownRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downright/3.png", &PlayerLegsDownRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downright/4.png", &PlayerLegsDownRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downright/5.png", &PlayerLegsDownRight.Frames[5], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downright/6.png", &PlayerLegsDownRight.Frames[6], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/legs/downright/7.png", &PlayerLegsDownRight.Frames[7], PNG_MASK_ALPHA, &w, &h);
	PlayerLegsDownRight.Speed=5;
	PlayerLegsDownRight.LoopFrame=1;
	PlayerLegsDownRight.NumOfFrames=7;

	png_load_texture("/cd/data/players/torso/red/up/0.png", &RedPlayerTorsoUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoUp.Speed=5;
	RedPlayerTorsoUp.LoopFrame=0;
	RedPlayerTorsoUp.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/red/down/0.png", &RedPlayerTorsoDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoDown.Speed=5;
	RedPlayerTorsoDown.LoopFrame=0;
	RedPlayerTorsoDown.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/red/left/0.png", &RedPlayerTorsoLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoLeft.Speed=5;
	RedPlayerTorsoLeft.LoopFrame=0;
	RedPlayerTorsoLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/red/right/0.png", &RedPlayerTorsoRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoRight.Speed=5;
	RedPlayerTorsoRight.LoopFrame=0;
	RedPlayerTorsoRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/red/upleft/0.png", &RedPlayerTorsoUpLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoUpLeft.Speed=5;
	RedPlayerTorsoUpLeft.LoopFrame=0;
	RedPlayerTorsoUpLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/red/upright/0.png", &RedPlayerTorsoUpRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoUpRight.Speed=5;
	RedPlayerTorsoUpRight.LoopFrame=0;
	RedPlayerTorsoUpRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/red/downleft/0.png", &RedPlayerTorsoDownLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoDownLeft.Speed=5;
	RedPlayerTorsoDownLeft.LoopFrame=0;
	RedPlayerTorsoDownLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/red/downright/0.png", &RedPlayerTorsoDownRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoDownRight.Speed=5;
	RedPlayerTorsoDownRight.LoopFrame=0;
	RedPlayerTorsoDownRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/red/up/s0.png", &RedPlayerTorsoUpShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/red/up/s1.png", &RedPlayerTorsoUpShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoUpShoot.Speed=5;
	RedPlayerTorsoUpShoot.LoopFrame=0;
	RedPlayerTorsoUpShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/red/down/s0.png", &RedPlayerTorsoDownShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/red/down/s1.png", &RedPlayerTorsoDownShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoDownShoot.Speed=5;
	RedPlayerTorsoDownShoot.LoopFrame=0;
	RedPlayerTorsoDownShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/red/left/s0.png", &RedPlayerTorsoLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/red/left/s1.png", &RedPlayerTorsoLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoLeftShoot.Speed=5;
	RedPlayerTorsoLeftShoot.LoopFrame=0;
	RedPlayerTorsoLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/red/right/s0.png", &RedPlayerTorsoRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/red/right/s1.png", &RedPlayerTorsoRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoRightShoot.Speed=5;
	RedPlayerTorsoRightShoot.LoopFrame=0;
	RedPlayerTorsoRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/red/upleft/s0.png", &RedPlayerTorsoUpLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/red/upleft/s1.png", &RedPlayerTorsoUpLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoUpLeftShoot.Speed=5;
	RedPlayerTorsoUpLeftShoot.LoopFrame=0;
	RedPlayerTorsoUpLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/red/upright/s0.png", &RedPlayerTorsoUpRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/red/upright/s1.png", &RedPlayerTorsoUpRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoUpRightShoot.Speed=5;
	RedPlayerTorsoUpRightShoot.LoopFrame=0;
	RedPlayerTorsoUpRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/red/downleft/s0.png", &RedPlayerTorsoDownLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/red/downleft/s1.png", &RedPlayerTorsoDownLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoDownLeftShoot.Speed=5;
	RedPlayerTorsoDownLeftShoot.LoopFrame=0;
	RedPlayerTorsoDownLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/red/downright/s0.png", &RedPlayerTorsoDownRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/red/downright/s1.png", &RedPlayerTorsoDownRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	RedPlayerTorsoDownRightShoot.Speed=5;
	RedPlayerTorsoDownRightShoot.LoopFrame=0;
	RedPlayerTorsoDownRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/green/up/0.png", &GreenPlayerTorsoUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoUp.Speed=5;
	GreenPlayerTorsoUp.LoopFrame=0;
	GreenPlayerTorsoUp.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/green/down/0.png", &GreenPlayerTorsoDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoDown.Speed=5;
	GreenPlayerTorsoDown.LoopFrame=0;
	GreenPlayerTorsoDown.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/green/left/0.png", &GreenPlayerTorsoLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoLeft.Speed=5;
	GreenPlayerTorsoLeft.LoopFrame=0;
	GreenPlayerTorsoLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/green/right/0.png", &GreenPlayerTorsoRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoRight.Speed=5;
	GreenPlayerTorsoRight.LoopFrame=0;
	GreenPlayerTorsoRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/green/upleft/0.png", &GreenPlayerTorsoUpLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoUpLeft.Speed=5;
	GreenPlayerTorsoUpLeft.LoopFrame=0;
	GreenPlayerTorsoUpLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/green/upright/0.png", &GreenPlayerTorsoUpRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoUpRight.Speed=5;
	GreenPlayerTorsoUpRight.LoopFrame=0;
	GreenPlayerTorsoUpRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/green/downleft/0.png", &GreenPlayerTorsoDownLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoDownLeft.Speed=5;
	GreenPlayerTorsoDownLeft.LoopFrame=0;
	GreenPlayerTorsoDownLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/green/downright/0.png", &GreenPlayerTorsoDownRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoDownRight.Speed=5;
	GreenPlayerTorsoDownRight.LoopFrame=0;
	GreenPlayerTorsoDownRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/green/up/s0.png", &GreenPlayerTorsoUpShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/green/up/s1.png", &GreenPlayerTorsoUpShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoUpShoot.Speed=5;
	GreenPlayerTorsoUpShoot.LoopFrame=0;
	GreenPlayerTorsoUpShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/green/down/s0.png", &GreenPlayerTorsoDownShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/green/down/s1.png", &GreenPlayerTorsoDownShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoDownShoot.Speed=5;
	GreenPlayerTorsoDownShoot.LoopFrame=0;
	GreenPlayerTorsoDownShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/green/left/s0.png", &GreenPlayerTorsoLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/green/left/s1.png", &GreenPlayerTorsoLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoLeftShoot.Speed=5;
	GreenPlayerTorsoLeftShoot.LoopFrame=0;
	GreenPlayerTorsoLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/green/right/s0.png", &GreenPlayerTorsoRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/green/right/s1.png", &GreenPlayerTorsoRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoRightShoot.Speed=5;
	GreenPlayerTorsoRightShoot.LoopFrame=0;
	GreenPlayerTorsoRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/green/upleft/s0.png", &GreenPlayerTorsoUpLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/green/upleft/s1.png", &GreenPlayerTorsoUpLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoUpLeftShoot.Speed=5;
	GreenPlayerTorsoUpLeftShoot.LoopFrame=0;
	GreenPlayerTorsoUpLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/green/upright/s0.png", &GreenPlayerTorsoUpRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/green/upright/s1.png", &GreenPlayerTorsoUpRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoUpRightShoot.Speed=5;
	GreenPlayerTorsoUpRightShoot.LoopFrame=0;
	GreenPlayerTorsoUpRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/green/downleft/s0.png", &GreenPlayerTorsoDownLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/green/downleft/s1.png", &GreenPlayerTorsoDownLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoDownLeftShoot.Speed=5;
	GreenPlayerTorsoDownLeftShoot.LoopFrame=0;
	GreenPlayerTorsoDownLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/green/downright/s0.png", &GreenPlayerTorsoDownRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/green/downright/s1.png", &GreenPlayerTorsoDownRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	GreenPlayerTorsoDownRightShoot.Speed=5;
	GreenPlayerTorsoDownRightShoot.LoopFrame=0;
	GreenPlayerTorsoDownRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/blue/up/0.png", &BluePlayerTorsoUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoUp.Speed=5;
	BluePlayerTorsoUp.LoopFrame=0;
	BluePlayerTorsoUp.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/blue/down/0.png", &BluePlayerTorsoDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoDown.Speed=5;
	BluePlayerTorsoDown.LoopFrame=0;
	BluePlayerTorsoDown.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/blue/left/0.png", &BluePlayerTorsoLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoLeft.Speed=5;
	BluePlayerTorsoLeft.LoopFrame=0;
	BluePlayerTorsoLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/blue/right/0.png", &BluePlayerTorsoRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoRight.Speed=5;
	BluePlayerTorsoRight.LoopFrame=0;
	BluePlayerTorsoRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/blue/upleft/0.png", &BluePlayerTorsoUpLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoUpLeft.Speed=5;
	BluePlayerTorsoUpLeft.LoopFrame=0;
	BluePlayerTorsoUpLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/blue/upright/0.png", &BluePlayerTorsoUpRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoUpRight.Speed=5;
	BluePlayerTorsoUpRight.LoopFrame=0;
	BluePlayerTorsoUpRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/blue/downleft/0.png", &BluePlayerTorsoDownLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoDownLeft.Speed=5;
	BluePlayerTorsoDownLeft.LoopFrame=0;
	BluePlayerTorsoDownLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/blue/downright/0.png", &BluePlayerTorsoDownRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoDownRight.Speed=5;
	BluePlayerTorsoDownRight.LoopFrame=0;
	BluePlayerTorsoDownRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/blue/up/s0.png", &BluePlayerTorsoUpShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/blue/up/s1.png", &BluePlayerTorsoUpShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoUpShoot.Speed=5;
	BluePlayerTorsoUpShoot.LoopFrame=0;
	BluePlayerTorsoUpShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/blue/down/s0.png", &BluePlayerTorsoDownShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/blue/down/s1.png", &BluePlayerTorsoDownShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoDownShoot.Speed=5;
	BluePlayerTorsoDownShoot.LoopFrame=0;
	BluePlayerTorsoDownShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/blue/left/s0.png", &BluePlayerTorsoLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/blue/left/s1.png", &BluePlayerTorsoLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoLeftShoot.Speed=5;
	BluePlayerTorsoLeftShoot.LoopFrame=0;
	BluePlayerTorsoLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/blue/right/s0.png", &BluePlayerTorsoRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/blue/right/s1.png", &BluePlayerTorsoRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoRightShoot.Speed=5;
	BluePlayerTorsoRightShoot.LoopFrame=0;
	BluePlayerTorsoRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/blue/upleft/s0.png", &BluePlayerTorsoUpLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/blue/upleft/s1.png", &BluePlayerTorsoUpLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoUpLeftShoot.Speed=5;
	BluePlayerTorsoUpLeftShoot.LoopFrame=0;
	BluePlayerTorsoUpLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/blue/upright/s0.png", &BluePlayerTorsoUpRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/blue/upright/s1.png", &BluePlayerTorsoUpRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoUpRightShoot.Speed=5;
	BluePlayerTorsoUpRightShoot.LoopFrame=0;
	BluePlayerTorsoUpRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/blue/downleft/s0.png", &BluePlayerTorsoDownLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/blue/downleft/s1.png", &BluePlayerTorsoDownLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoDownLeftShoot.Speed=5;
	BluePlayerTorsoDownLeftShoot.LoopFrame=0;
	BluePlayerTorsoDownLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/blue/downright/s0.png", &BluePlayerTorsoDownRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/blue/downright/s1.png", &BluePlayerTorsoDownRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	BluePlayerTorsoDownRightShoot.Speed=5;
	BluePlayerTorsoDownRightShoot.LoopFrame=0;
	BluePlayerTorsoDownRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/yellow/up/0.png", &YellowPlayerTorsoUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoUp.Speed=5;
	YellowPlayerTorsoUp.LoopFrame=0;
	YellowPlayerTorsoUp.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/yellow/down/0.png", &YellowPlayerTorsoDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoDown.Speed=5;
	YellowPlayerTorsoDown.LoopFrame=0;
	YellowPlayerTorsoDown.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/yellow/left/0.png", &YellowPlayerTorsoLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoLeft.Speed=5;
	YellowPlayerTorsoLeft.LoopFrame=0;
	YellowPlayerTorsoLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/yellow/right/0.png", &YellowPlayerTorsoRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoRight.Speed=5;
	YellowPlayerTorsoRight.LoopFrame=0;
	YellowPlayerTorsoRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/yellow/upleft/0.png", &YellowPlayerTorsoUpLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoUpLeft.Speed=5;
	YellowPlayerTorsoUpLeft.LoopFrame=0;
	YellowPlayerTorsoUpLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/yellow/upright/0.png", &YellowPlayerTorsoUpRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoUpRight.Speed=5;
	YellowPlayerTorsoUpRight.LoopFrame=0;
	YellowPlayerTorsoUpRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/yellow/downleft/0.png", &YellowPlayerTorsoDownLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoDownLeft.Speed=5;
	YellowPlayerTorsoDownLeft.LoopFrame=0;
	YellowPlayerTorsoDownLeft.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/yellow/downright/0.png", &YellowPlayerTorsoDownRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoDownRight.Speed=5;
	YellowPlayerTorsoDownRight.LoopFrame=0;
	YellowPlayerTorsoDownRight.NumOfFrames=0;

	png_load_texture("/cd/data/players/torso/yellow/up/s0.png", &YellowPlayerTorsoUpShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/yellow/up/s1.png", &YellowPlayerTorsoUpShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoUpShoot.Speed=5;
	YellowPlayerTorsoUpShoot.LoopFrame=0;
	YellowPlayerTorsoUpShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/yellow/down/s0.png", &YellowPlayerTorsoDownShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/yellow/down/s1.png", &YellowPlayerTorsoDownShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoDownShoot.Speed=5;
	YellowPlayerTorsoDownShoot.LoopFrame=0;
	YellowPlayerTorsoDownShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/yellow/left/s0.png", &YellowPlayerTorsoLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/yellow/left/s1.png", &YellowPlayerTorsoLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoLeftShoot.Speed=5;
	YellowPlayerTorsoLeftShoot.LoopFrame=0;
	YellowPlayerTorsoLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/yellow/right/s0.png", &YellowPlayerTorsoRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/yellow/right/s1.png", &YellowPlayerTorsoRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoRightShoot.Speed=5;
	YellowPlayerTorsoRightShoot.LoopFrame=0;
	YellowPlayerTorsoRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/yellow/upleft/s0.png", &YellowPlayerTorsoUpLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/yellow/upleft/s1.png", &YellowPlayerTorsoUpLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoUpLeftShoot.Speed=5;
	YellowPlayerTorsoUpLeftShoot.LoopFrame=0;
	YellowPlayerTorsoUpLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/yellow/upright/s0.png", &YellowPlayerTorsoUpRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/yellow/upright/s1.png", &YellowPlayerTorsoUpRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoUpRightShoot.Speed=5;
	YellowPlayerTorsoUpRightShoot.LoopFrame=0;
	YellowPlayerTorsoUpRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/yellow/downleft/s0.png", &YellowPlayerTorsoDownLeftShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/yellow/downleft/s1.png", &YellowPlayerTorsoDownLeftShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoDownLeftShoot.Speed=5;
	YellowPlayerTorsoDownLeftShoot.LoopFrame=0;
	YellowPlayerTorsoDownLeftShoot.NumOfFrames=1;

	png_load_texture("/cd/data/players/torso/yellow/downright/s0.png", &YellowPlayerTorsoDownRightShoot.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/players/torso/yellow/downright/s1.png", &YellowPlayerTorsoDownRightShoot.Frames[1], PNG_MASK_ALPHA, &w, &h);
	YellowPlayerTorsoDownRightShoot.Speed=5;
	YellowPlayerTorsoDownRightShoot.LoopFrame=0;
	YellowPlayerTorsoDownRightShoot.NumOfFrames=1;

	png_load_texture("/cd/data/bullets/normal/up/0.png", &NormalBulletUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/normal/down/0.png", &NormalBulletDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/normal/left/0.png", &NormalBulletLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/normal/right/0.png", &NormalBulletRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/normal/upleft/0.png", &NormalBulletUpLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/normal/upright/0.png", &NormalBulletUpRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/normal/downleft/0.png", &NormalBulletDownLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/normal/downright/0.png", &NormalBulletDownRight.Frames[0], PNG_MASK_ALPHA, &w, &h);

	png_load_texture("/cd/data/bullets/rocket/up/0.png", &RocketBulletUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/rocket/down/0.png", &RocketBulletDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/rocket/left/0.png", &RocketBulletLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/rocket/right/0.png", &RocketBulletRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/rocket/upleft/0.png", &RocketBulletUpLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/rocket/upright/0.png", &RocketBulletUpRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/rocket/downleft/0.png", &RocketBulletDownLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/bullets/rocket/downright/0.png", &RocketBulletDownRight.Frames[0], PNG_MASK_ALPHA, &w, &h);


	png_load_texture("/cd/data/enemies/snakeman/up/0.png", &SnakeManWalkUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/up/1.png", &SnakeManWalkUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/up/2.png", &SnakeManWalkUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/up/3.png", &SnakeManWalkUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/up/4.png", &SnakeManWalkUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
 	SnakeManWalkUp.Speed=5;
 	SnakeManWalkUp.LoopFrame=1;
 	SnakeManWalkUp.NumOfFrames=4;

 	png_load_texture("/cd/data/enemies/snakeman/down/0.png", &SnakeManWalkDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/down/1.png", &SnakeManWalkDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/down/2.png", &SnakeManWalkDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/down/3.png", &SnakeManWalkDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/down/4.png", &SnakeManWalkDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	SnakeManWalkDown.Speed=5;
	SnakeManWalkDown.LoopFrame=1;
 	SnakeManWalkDown.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/snakeman/left/0.png", &SnakeManWalkLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/left/1.png", &SnakeManWalkLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/left/2.png", &SnakeManWalkLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/left/3.png", &SnakeManWalkLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/left/4.png", &SnakeManWalkLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	SnakeManWalkLeft.Speed=5;
	SnakeManWalkLeft.LoopFrame=1;
 	SnakeManWalkLeft.NumOfFrames=4;

 	png_load_texture("/cd/data/enemies/snakeman/right/0.png", &SnakeManWalkRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/right/1.png", &SnakeManWalkRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/right/2.png", &SnakeManWalkRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/right/3.png", &SnakeManWalkRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/snakeman/right/4.png", &SnakeManWalkRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	SnakeManWalkRight.Speed=5;
	SnakeManWalkRight.LoopFrame=1;
 	SnakeManWalkRight.NumOfFrames=4;

 	png_load_texture("/cd/data/font/numbers/0.png", &NumberTextures[0], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/font/numbers/1.png", &NumberTextures[1], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/font/numbers/2.png", &NumberTextures[2], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/font/numbers/3.png", &NumberTextures[3], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/font/numbers/4.png", &NumberTextures[4], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/font/numbers/5.png", &NumberTextures[5], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/font/numbers/6.png", &NumberTextures[6], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/font/numbers/7.png", &NumberTextures[7], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/font/numbers/8.png", &NumberTextures[8], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/font/numbers/9.png", &NumberTextures[9], PNG_MASK_ALPHA, &w, &h);

 	png_load_texture("/cd/data/effects/enemydeath/0.png", &EnemyDeath.Frames[0], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/effects/enemydeath/1.png", &EnemyDeath.Frames[1], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/effects/enemydeath/2.png", &EnemyDeath.Frames[2], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/effects/enemydeath/3.png", &EnemyDeath.Frames[3], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/effects/enemydeath/4.png", &EnemyDeath.Frames[4], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/effects/enemydeath/5.png", &EnemyDeath.Frames[5], PNG_MASK_ALPHA, &w, &h);
 	png_load_texture("/cd/data/effects/enemydeath/6.png", &EnemyDeath.Frames[6], PNG_MASK_ALPHA, &w, &h);
 	EnemyDeath.Speed=5;
	EnemyDeath.LoopFrame=0;
 	EnemyDeath.NumOfFrames=6;

 	png_load_texture("/cd/data/effects/bombdeath/0.png", &BombDeath.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/bombdeath/1.png", &BombDeath.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/bombdeath/2.png", &BombDeath.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/bombdeath/3.png", &BombDeath.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/effects/bombdeath/4.png", &BombDeath.Frames[4], PNG_MASK_ALPHA, &w, &h);
	BombDeath.Speed=5;
	BombDeath.LoopFrame=0;
 	BombDeath.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/skullman/up/0.png", &SkullManWalkUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/up/1.png", &SkullManWalkUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/up/2.png", &SkullManWalkUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/up/3.png", &SkullManWalkUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/up/4.png", &SkullManWalkUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
	SkullManWalkUp.Speed=5;
	SkullManWalkUp.LoopFrame=1;
	SkullManWalkUp.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/skullman/down/0.png", &SkullManWalkDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/down/1.png", &SkullManWalkDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/down/2.png", &SkullManWalkDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/down/3.png", &SkullManWalkDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/down/4.png", &SkullManWalkDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	SkullManWalkDown.Speed=5;
	SkullManWalkDown.LoopFrame=1;
	SkullManWalkDown.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/skullman/left/0.png", &SkullManWalkLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/left/1.png", &SkullManWalkLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/left/2.png", &SkullManWalkLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/left/3.png", &SkullManWalkLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/left/4.png", &SkullManWalkLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	SkullManWalkLeft.Speed=5;
	SkullManWalkLeft.LoopFrame=1;
	SkullManWalkLeft.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/skullman/right/0.png", &SkullManWalkRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/right/1.png", &SkullManWalkRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/right/2.png", &SkullManWalkRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/right/3.png", &SkullManWalkRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/skullman/right/4.png", &SkullManWalkRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	SkullManWalkRight.Speed=5;
	SkullManWalkRight.LoopFrame=1;
 	SkullManWalkRight.NumOfFrames=4;

    png_load_texture("/cd/data/enemies/geminiman/up/0.png", &GeminiManWalkUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/up/1.png", &GeminiManWalkUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/up/2.png", &GeminiManWalkUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/up/3.png", &GeminiManWalkUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/up/4.png", &GeminiManWalkUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
	GeminiManWalkUp.Speed=5;
	GeminiManWalkUp.LoopFrame=1;
	GeminiManWalkUp.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/geminiman/down/0.png", &GeminiManWalkDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/down/1.png", &GeminiManWalkDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/down/2.png", &GeminiManWalkDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/down/3.png", &GeminiManWalkDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/down/4.png", &GeminiManWalkDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	GeminiManWalkDown.Speed=5;
	GeminiManWalkDown.LoopFrame=1;
	GeminiManWalkDown.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/geminiman/left/0.png", &GeminiManWalkLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/left/1.png", &GeminiManWalkLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/left/2.png", &GeminiManWalkLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/left/3.png", &GeminiManWalkLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/left/4.png", &GeminiManWalkLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	GeminiManWalkLeft.Speed=5;
	GeminiManWalkLeft.LoopFrame=1;
	GeminiManWalkLeft.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/geminiman/right/0.png", &GeminiManWalkRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/right/1.png", &GeminiManWalkRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/right/2.png", &GeminiManWalkRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/right/3.png", &GeminiManWalkRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/geminiman/right/4.png", &GeminiManWalkRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	GeminiManWalkRight.Speed=5;
	GeminiManWalkRight.LoopFrame=1;
 	GeminiManWalkRight.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/bombman/up/0.png", &BombManWalkUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/up/1.png", &BombManWalkUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/up/2.png", &BombManWalkUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/up/3.png", &BombManWalkUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/up/4.png", &BombManWalkUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
	BombManWalkUp.Speed=5;
	BombManWalkUp.LoopFrame=1;
	BombManWalkUp.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/bombman/down/0.png", &BombManWalkDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/down/1.png", &BombManWalkDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/down/2.png", &BombManWalkDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/down/3.png", &BombManWalkDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/down/4.png", &BombManWalkDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	BombManWalkDown.Speed=5;
	BombManWalkDown.LoopFrame=1;
	BombManWalkDown.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/bombman/left/0.png", &BombManWalkLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/left/1.png", &BombManWalkLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/left/2.png", &BombManWalkLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/left/3.png", &BombManWalkLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/left/4.png", &BombManWalkLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	BombManWalkLeft.Speed=5;
	BombManWalkLeft.LoopFrame=1;
	BombManWalkLeft.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/bombman/right/0.png", &BombManWalkRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/right/1.png", &BombManWalkRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/right/2.png", &BombManWalkRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/right/3.png", &BombManWalkRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/bombman/right/4.png", &BombManWalkRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	BombManWalkRight.Speed=5;
	BombManWalkRight.LoopFrame=1;
 	BombManWalkRight.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/needleman/up/0.png", &NeedleManWalkUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/up/1.png", &NeedleManWalkUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/up/2.png", &NeedleManWalkUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/up/3.png", &NeedleManWalkUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/up/4.png", &NeedleManWalkUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
	NeedleManWalkUp.Speed=5;
	NeedleManWalkUp.LoopFrame=1;
	NeedleManWalkUp.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/needleman/down/0.png", &NeedleManWalkDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/down/1.png", &NeedleManWalkDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/down/2.png", &NeedleManWalkDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/down/3.png", &NeedleManWalkDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/down/4.png", &NeedleManWalkDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	NeedleManWalkDown.Speed=5;
	NeedleManWalkDown.LoopFrame=1;
	NeedleManWalkDown.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/needleman/left/0.png", &NeedleManWalkLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/left/1.png", &NeedleManWalkLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/left/2.png", &NeedleManWalkLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/left/3.png", &NeedleManWalkLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/left/4.png", &NeedleManWalkLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	NeedleManWalkLeft.Speed=5;
	NeedleManWalkLeft.LoopFrame=1;
	NeedleManWalkLeft.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/needleman/right/0.png", &NeedleManWalkRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/right/1.png", &NeedleManWalkRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/right/2.png", &NeedleManWalkRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/right/3.png", &NeedleManWalkRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/needleman/right/4.png", &NeedleManWalkRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	NeedleManWalkRight.Speed=5;
	NeedleManWalkRight.LoopFrame=1;
 	NeedleManWalkRight.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/pharaohman/up/0.png", &PharaohManWalkUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/up/1.png", &PharaohManWalkUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/up/2.png", &PharaohManWalkUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/up/3.png", &PharaohManWalkUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/up/4.png", &PharaohManWalkUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
	PharaohManWalkUp.Speed=5;
	PharaohManWalkUp.LoopFrame=1;
	PharaohManWalkUp.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/pharaohman/down/0.png", &PharaohManWalkDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/down/1.png", &PharaohManWalkDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/down/2.png", &PharaohManWalkDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/down/3.png", &PharaohManWalkDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/down/4.png", &PharaohManWalkDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	PharaohManWalkDown.Speed=5;
	PharaohManWalkDown.LoopFrame=1;
	PharaohManWalkDown.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/pharaohman/left/0.png", &PharaohManWalkLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/left/1.png", &PharaohManWalkLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/left/2.png", &PharaohManWalkLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/left/3.png", &PharaohManWalkLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/left/4.png", &PharaohManWalkLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	PharaohManWalkLeft.Speed=5;
	PharaohManWalkLeft.LoopFrame=1;
	PharaohManWalkLeft.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/pharaohman/right/0.png", &PharaohManWalkRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/right/1.png", &PharaohManWalkRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/right/2.png", &PharaohManWalkRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/right/3.png", &PharaohManWalkRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/pharaohman/right/4.png", &PharaohManWalkRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	PharaohManWalkRight.Speed=5;
	PharaohManWalkRight.LoopFrame=1;
 	PharaohManWalkRight.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/topman/up/0.png", &TopManWalkUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/up/1.png", &TopManWalkUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/up/2.png", &TopManWalkUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/up/3.png", &TopManWalkUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/up/4.png", &TopManWalkUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
	TopManWalkUp.Speed=5;
	TopManWalkUp.LoopFrame=1;
	TopManWalkUp.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/topman/down/0.png", &TopManWalkDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/down/1.png", &TopManWalkDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/down/2.png", &TopManWalkDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/down/3.png", &TopManWalkDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/down/4.png", &TopManWalkDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	TopManWalkDown.Speed=5;
	TopManWalkDown.LoopFrame=1;
	TopManWalkDown.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/topman/left/0.png", &TopManWalkLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/left/1.png", &TopManWalkLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/left/2.png", &TopManWalkLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/left/3.png", &TopManWalkLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/left/4.png", &TopManWalkLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	TopManWalkLeft.Speed=5;
	TopManWalkLeft.LoopFrame=1;
	TopManWalkLeft.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/topman/right/0.png", &TopManWalkRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/right/1.png", &TopManWalkRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/right/2.png", &TopManWalkRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/right/3.png", &TopManWalkRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/topman/right/4.png", &TopManWalkRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	TopManWalkRight.Speed=5;
	TopManWalkRight.LoopFrame=1;
 	TopManWalkRight.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/woodman/up/0.png", &WoodManWalkUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/up/1.png", &WoodManWalkUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/up/2.png", &WoodManWalkUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/up/3.png", &WoodManWalkUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/up/4.png", &WoodManWalkUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
	WoodManWalkUp.Speed=5;
	WoodManWalkUp.LoopFrame=1;
	WoodManWalkUp.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/woodman/down/0.png", &WoodManWalkDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/down/1.png", &WoodManWalkDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/down/2.png", &WoodManWalkDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/down/3.png", &WoodManWalkDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/down/4.png", &WoodManWalkDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	WoodManWalkDown.Speed=5;
	WoodManWalkDown.LoopFrame=1;
	WoodManWalkDown.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/woodman/left/0.png", &WoodManWalkLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/left/1.png", &WoodManWalkLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/left/2.png", &WoodManWalkLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/left/3.png", &WoodManWalkLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/left/4.png", &WoodManWalkLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	WoodManWalkLeft.Speed=5;
	WoodManWalkLeft.LoopFrame=1;
	WoodManWalkLeft.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/woodman/right/0.png", &WoodManWalkRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/right/1.png", &WoodManWalkRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/right/2.png", &WoodManWalkRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/right/3.png", &WoodManWalkRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/woodman/right/4.png", &WoodManWalkRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	WoodManWalkRight.Speed=5;
	WoodManWalkRight.LoopFrame=1;
 	WoodManWalkRight.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/drwily/up/0.png", &DrWilyWalkUp.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/up/1.png", &DrWilyWalkUp.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/up/2.png", &DrWilyWalkUp.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/up/3.png", &DrWilyWalkUp.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/up/4.png", &DrWilyWalkUp.Frames[4], PNG_MASK_ALPHA, &w, &h);
	DrWilyWalkUp.Speed=5;
	DrWilyWalkUp.LoopFrame=1;
	DrWilyWalkUp.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/drwily/down/0.png", &DrWilyWalkDown.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/down/1.png", &DrWilyWalkDown.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/down/2.png", &DrWilyWalkDown.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/down/3.png", &DrWilyWalkDown.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/down/4.png", &DrWilyWalkDown.Frames[4], PNG_MASK_ALPHA, &w, &h);
	DrWilyWalkDown.Speed=5;
	DrWilyWalkDown.LoopFrame=1;
	DrWilyWalkDown.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/drwily/left/0.png", &DrWilyWalkLeft.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/left/1.png", &DrWilyWalkLeft.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/left/2.png", &DrWilyWalkLeft.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/left/3.png", &DrWilyWalkLeft.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/left/4.png", &DrWilyWalkLeft.Frames[4], PNG_MASK_ALPHA, &w, &h);
	DrWilyWalkLeft.Speed=5;
	DrWilyWalkLeft.LoopFrame=1;
	DrWilyWalkLeft.NumOfFrames=4;

	png_load_texture("/cd/data/enemies/drwily/right/0.png", &DrWilyWalkRight.Frames[0], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/right/1.png", &DrWilyWalkRight.Frames[1], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/right/2.png", &DrWilyWalkRight.Frames[2], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/right/3.png", &DrWilyWalkRight.Frames[3], PNG_MASK_ALPHA, &w, &h);
	png_load_texture("/cd/data/enemies/drwily/right/4.png", &DrWilyWalkRight.Frames[4], PNG_MASK_ALPHA, &w, &h);
	DrWilyWalkRight.Speed=5;
	DrWilyWalkRight.LoopFrame=1;
 	DrWilyWalkRight.NumOfFrames=4;
}
